# Uses of Interface
org.eclipse.core.databinding.property.map.IMapProperty

Packages that use IMapProperty
Package
Description
org.eclipse.core.databinding.beans
Provides classes for observing JavaBeans(tm) objects.
org.eclipse.core.databinding.property
Interfaces and classes for representing and observing properties of objects.
org.eclipse.core.databinding.property.map
org.eclipse.core.databinding.property.set
org.eclipse.core.databinding.property.value

## Uses of IMapProperty in org.eclipse.core.databinding.beans

Subinterfaces of IMapProperty in org.eclipse.core.databinding.beans
Modifier and Type
Interface
Description
`interface`
`IBeanMapProperty<S,K,V>`
An `IMapProperty` extension interface with convenience methods for creating nested bean properties.

## Uses of IMapProperty in org.eclipse.core.databinding.property

Methods in org.eclipse.core.databinding.property that return IMapProperty
Modifier and Type
Method
Description
`static <K, V> IMapProperty<Map<K,V>,K,V>`
Properties.`selfMap(Object keyType, Object valueType)`
Returns a map property which takes the source object (a `Map`) as the property map.

## Uses of IMapProperty in org.eclipse.core.databinding.property.map

Classes in org.eclipse.core.databinding.property.map that implement IMapProperty
Modifier and Type
Class
Description
`class`
`DelegatingMapProperty<S,K,V>`
`class`
`MapProperty<S,K,V>`
Abstract implementation of IMapProperty
`class`
`SimpleMapProperty<S,K,V>`
Simplified abstract implementation of IMapProperty.
Methods in org.eclipse.core.databinding.property.map that return IMapProperty
Modifier and Type
Method
Description
`protected abstract IMapProperty<S,K,V>`
DelegatingMapProperty.`doGetDelegate(S source)`
Returns the property to delegate to for the specified source object.
`final IMapProperty<S,K,V>`
DelegatingMapProperty.`getDelegate(S source)`
Returns the property to delegate to for the specified source object.
`<T> IMapProperty<S,K,T>`
IMapProperty.`values(IValueProperty<? super V,T> detailValues)`
Returns the nested combination of this property and the specified detail value property.
`final <T> IMapProperty<S,K,T>`
MapProperty.`values(IValueProperty<? super V,T> detailValues)`

## Uses of IMapProperty in org.eclipse.core.databinding.property.set

Methods in org.eclipse.core.databinding.property.set that return IMapProperty
Modifier and Type
Method
Description
`<T> IMapProperty<S,E,T>`
ISetProperty.`values(IValueProperty<? super E,T> detailValues)`
Returns the nested combination of this property and the specified detail value property.
`final <T> IMapProperty<S,E,T>`
SetProperty.`values(IValueProperty<? super E,T> detailValues)`

## Uses of IMapProperty in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value that return IMapProperty
Modifier and Type
Method
Description
`<K, V> IMapProperty<S,K,V>`
IValueProperty.`map(IMapProperty<? super T,K,V> detailMap)`
Returns the nested combination of this property and the specified detail map property.
`final <K, V> IMapProperty<S,K,V>`
ValueProperty.`map(IMapProperty<? super T,K,V> detailMap)`
Methods in org.eclipse.core.databinding.property.value with parameters of type IMapProperty
Modifier and Type
Method
Description
`<K, V> IMapProperty<S,K,V>`
IValueProperty.`map(IMapProperty<? super T,K,V> detailMap)`
Returns the nested combination of this property and the specified detail map property.
`final <K, V> IMapProperty<S,K,V>`
ValueProperty.`map(IMapProperty<? super T,K,V> detailMap)`